Subject: Re: bug#22571: Acknowledgement (Guix on Debian Testing sbcl package needs warning to set SBCL_HOME)

From: Alex Kost <[email-masked]>
Date: Wed, 10 Feb 2016 13:20:16 +0300

Christopher W Carpenter (2016-02-10 04:57 +0300) wrote:

> I found the problem, and this can be closed IMHO.
>
> I use StumpWM, which is written in common lisp and I use sbcl to run it.
> It appears that when the stumpwm image is created the SBCL_HOME
> environment variable's state at that time is stored. In addition, for
> whatever reason, any processes started from stumpwm will have a
> SBCL_HOME environment variable with that same value.
>
> Therefore, my issue was that my stumpwm that was starting my
> processes(and the processess themselves)
> had an old, incorrect value for SBCL_HOME which would then cause this
> error.

Oh, cool, I also use stumpwm but I've never noticed it because I compile
stumpwm using sbcl from Guix, so my value of SBCL_HOME is:

"/gnu/store/qkrqqb81hs6nypvzbgi8ixrrza78gvlb-sbcl-1.2.8/lib/sbcl"

> Interesting "bug" to find! Thanks for the help!

Thanks for discovering it!  It's good to know this thing (just in case).

-- 
Alex